Subject: Re: [media-types] Request for review of EmotionML media type: application/emotionml+xml

From: Kazuyuki Ashimura <[email-masked]>
Date: Mon, 25 Mar 2013 07:46:51 +0900

Hi Bjoern and media-types list,
# sorry resending with the correct address for the media-types list

Thank you for your thoughtful comments every time, Bjoern.

The W3C Multimodal Interaction Working Group is planning to
publish a Proposed Recommendation for EmotionML and would
like to wrap up the MIME type registration procedure.

Could you please see inline below for my response to your
comment?

BTW, I thought I had sent the following response to your
comment and it is archived at the W3C archive at:
  http://lists.w3.org/Archives/Public/www-multimodal/2012May/0016.html

However, it seems there was some email trouble and my message
was not archived at the IETF archive...

So this time I'd like to use my Keio address instead.

On 05/11/2012 10:22 AM, Bjoern Hoehrmann wrote:
>
> * Kazuyuki Ashimura wrote:
>> W3C has just published a Candidate Recommendation for "Emotion Markup
>> Language (EmotionML)" at:
>>
>>   http://www.w3.org/TR/2012/CR-emotionml-20120510/
>>
>> I am sending this request to ask the Ietf-types list for comments on
>> the Media Type section of the EmotionML specification following the
>> procedure defined at:
>>
>>   http://www.w3.org/2002/06/registering-mediatype
>
> The procedure requires Working Groups to ask for ietf-types review when
> making a Last Call announcement. I have not been able to find any such
> request in the archive. If the Working Group failed to follow the pro-
> cedure, it would be helpful if you could put that on the record.

Sorry but as you pointed out we failed to send out a review request
when we published the Last Call Working Draft.

>> MIME media type name:
>> ---------------------
>>      application
>
> This is using an outdated template. The current one is in RFC 4288. In
> it, some field names are different and some fields are organized in a
> different manner.

Thank you for pointing out that, Bjoern.

I've checked RFC4288 at:
  http://tools.ietf.org/html/rfc4288

and think we should say:
[[
Type name:
     application

Subtype name:
     emotionml+xml
]]
instead here.

>> Optional parameters:
>> --------------------
>>      charset
>>
>>          This parameter has identical semantics to the charset parameter
>> of the application/xml media type as specified in [RFC3023] or its
>> successor.
>>
>> Encoding considerations:
>> ------------------------
>>      By virtue of EmotionML content being XML, it has the same
>> considerations when sent as "application/emotionml+xml" as does XML. See
>> RFC 3023 (or its successor), section 3.2.
>
> RFC 3023 has boilerplate for this, but the above seems close enough.

Thanks!

So the revised version of the EmotionML media type definition should
be the following.  Please note I've added "Applications that use this
media type" field and "Restrictions on usage" field based on the
RFC4288 template.  Also I've split "Author/Change controller" field
into "Author" field and "Change controller" field.

[[
Type name:
     application

Subtype name:
     emotionml+xml

Required parameters:
     None.

Optional parameters:
     charset

     This parameter has identical semantics to the charset parameter of
     the application/xml media type as specified in [RFC 3023] or its
     successor.

Encoding considerations:
     By virtue of EmotionML content being XML, it has the same
     considerations when sent as "application/emotionml+xml" as does
     XML. See RFC 3023 (or its successor), section 3.2.

Security considerations:
     EmotionML elements may include arbitrary URIs. Therefore the
     security issues of [RFC 3986], section 7, should be considered.

     In addition, because of the extensibility features for EmotionML,
     it is possible that "application/emotionml+xml" will describe
     content that has security implications beyond those described
     here. However, if the processor follows only the normative
     semantics of this specification, this content will be
     ignored. Only in the case where the processor recognizes and
     processes the additional content, or where further processing of
     that content is dispatched to other processors, would security
     issues potentially arise. And in that case, they would fall
     outside the domain of this registration document.

Interoperability considerations:
     This specification describes processing semantics that dictate the
     required behavior for dealing with, among other things,
     unrecognized elements.

     Because EmotionML is extensible, conformant
     "application/emotionml+xml" processors MAY expect that content
     received is well-formed XML, but processors SHOULD NOT assume that
     the content is valid EmotionML or expect to recognize all of the
     elements and attributes in the document.

Published specification:
     This media type registration is extracted from Appendix B of the
     "Emotion Markup Language (EmotionML) 1.0" specification.

Additional information:

     Magic number(s):
     There is no single initial octet sequence that is always present
     in EmotionML documents.

     File extension(s):
     EmotionML documents are most often identified with the extensions
     ".emotionml".

     Macintosh File Type Code(s):
     TEXT

Person & email address to contact for further information:
     Kazuyuki Ashimura, <[email-masked]>.

Intended usage:
     COMMON

Restrictions on usage:
     None.

Author:
     The EmotionML specification is a work product of the World Wide
     Web Consortium's Multimodal Interaction Working Group.

Change controller:
     The W3C has change control over these specifications.
]]

Thanks,

Kazuyuki

-- 
Kaz Ashimura, W3C Staff Contact for Web&TV, MMI and Voice
Tel: +81 466 49 1170

---

From: Kazuyuki Ashimura <[email-masked]>
Date: Mon, 25 Mar 2013 07:30:42 +0900

I've checked RFC4288 at:

and think we should say:
[[
Type name:
     application

Subtype name:
     emotionml+xml
]]
instead here.

Thanks!

[[
Type name:
     application

Subtype name:
     emotionml+xml

Required parameters:
     None.

Optional parameters:
     charset

Encoding considerations:

Security considerations:

Published specification:

Additional information:

     Magic number(s):

     File extension(s):

Intended usage:
     COMMON

Restrictions on usage:
     None.

Author:

Change controller:

Thanks,

Kazuyuki